Skip to main content

Get Actor

GET 

/v2/actors/:actorId

Gets an object that contains all the details about the Actor with the specified ID.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Status 200

Response Headers
    {
    "data": {
    "id": "zdc3Pyhyz3m8vjDeM",
    "userId": "wRsJZtadYvn4mBZmm",
    "name": "instagram-scraper",
    "username": "jane35",
    "description": "Extract data from Instagram.",
    "isPublic": false,
    "createdAt": "2019-07-08T11:27:57.401Z",
    "modifiedAt": "2019-07-08T14:01:05.546Z",
    "stats": {
    "totalBuilds": 9,
    "totalRuns": 16,
    "totalUsers": 6,
    "totalUsers7Days": 2,
    "totalUsers30Days": 6,
    "totalUsers90Days": 6,
    "totalMetamorphs": 2,
    "lastRunStartedAt": "2019-07-08T14:01:05.546Z"
    },
    "versions": [
    {
    "versionNumber": "0.1",
    "envVars": null,
    "sourceType": "SOURCE_FILES",
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "sourceFiles": []
    },
    {
    "versionNumber": "0.2",
    "sourceType": "GIT_REPO",
    "envVars": null,
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "gitRepoUrl": "https://github.com/jane35/my-actor"
    },
    {
    "versionNumber": "0.3",
    "sourceType": "TARBALL",
    "envVars": null,
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "tarballUrl": "https://github.com/jane35/my-actor/archive/master.zip"
    },
    {
    "versionNumber": "0.4",
    "sourceType": "GITHUB_GIST",
    "envVars": null,
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "gitHubGistUrl": "https://gist.github.com/jane35/e51feb784yu89"
    }
    ],
    "defaultRunOptions": {
    "build": "latest",
    "timeoutSecs": 3600,
    "memoryMbytes": 2048,
    "restartOnError": false
    },
    "exampleRunInput": {
    "body": "{ \"helloWorld\": 123 }",
    "contentType": "application/json; charset=utf-8"
    },
    "isDeprecated": false,
    "deploymentKey": "ssh-rsa AAAA ...",
    "title": "Instagram Scraper",
    "taggedBuilds": {
    "latest": {
    "buildId": "z2EryhbfhgSyqj6Hn",
    "buildNumber": "0.0.2",
    "finishedAt": "2019-06-10T11:15:49.286Z"
    }
    }
    }
    }